Çizim Paylaş

Bülten Aboneliği
*  E-posta adresiniz:



* Güvenlik kodu:
Önceki Sayfa [1] [2] [3] [4] [5] [6] [7] [8] [9] [10] [15] [20] [25] [30] [35] [40] [45] [50] [55] [60] [65] [70] [75] [80] > 83 <
İleti Yazar
15.06.2017 12:05
85098      
alumina

[70] Editör

Online Durumu

617 ileti
Insaat Muhendisi
Istanbul

Alıntı
k_akkus :

Kod:

(defun c:tp (/ dc sl k m) (vl-load-com)
  (if (and (ssget '((0 . "*text"))) (setq dc (vlax-get (vlax-get-acad-object)
        'activedocument) sl (vla-get-activeselectionset dc)
          k (getstring T "\nHead letter:")))
    (progn (vla-startundomark dc)
      (vlax-for m sl (vla-put-TextString m
        (strcat k (vla-get-TextString m)))) (vla-endundomark dc) (vla-delete sl)
    )
  ) (prin1)
)

15.06.2017 15:32
85102      
k_akkus

[2] Girişimci

Online Durumu

5 ileti
teknik ressam
istanbul

Alıntı
alumina :
Alıntı
k_akkus :




Teşekkürler... Çözdüm...


Bu mesaj alumina tarafından düzenlendi (17.06.2017 02:05 GMT, 62 Gün önce)

16.06.2017 18:51
85103      
mikemoon

[10] Üstad

Online Durumu

366 ileti
makina ressamı
istanbul

merhaba arkadaşlar forumda bir lisp vardı bulamadım bulabilirmisiniz.

önce bir obje seçiliyor sonra tüm çizim pencere içerisine alınıyor ilk seçilen objelerden kaçtane varsa seçiyor.

bu lisp daha önce çalışıyordu şimdi çalışmıyor.

(defun c:smr (/ e)
(sssetfirst nil
(ssget (list (assoc 0 (setq e (entget (car (entsel)))))
(assoc 8 e)
(if (assoc 62 e) (assoc 62 e) (cons 62 256))
(if (assoc 40 e) (assoc 40 e)))))(princ))

17.06.2017 02:20
85106      
alumina

[70] Editör

Online Durumu

617 ileti
Insaat Muhendisi
Istanbul

Alıntı
mikemoon :

Secilen nesnelerin isimlerini referans alarak nesneleri secer..
Kod:

(defun c:sl (/ k i)
  (if (and (ssget) (setq k "" i (sslength (ssget "_p"))))
    (sssetfirst nil (ssget (list (cons 0 (repeat i (setq k (strcat k (cdr (assoc 0
      (entget (ssname (ssget "_p") (setq i (1- i)))))) ","))))))))
  (princ)
)

17.06.2017 17:23
85107      
mikemoon

[10] Üstad

Online Durumu

366 ileti
makina ressamı
istanbul

Merhaba alumina
Bu lisp in çalışma mantığını tam anlayamadım fakat
Benim demek istediğim ayni objeden kaç tane varsa onu seçmek
Ornegin önce bir cap20 daire seçiyorum sonrada tüm cizimi seçiyorum
İçerisinde kaç tane daha cap20 daire varsa seciyor olmalı tabiki diğer obje seçimleri de yapabilmeli

18.06.2017 00:38
85108      
alumina

[70] Editör

Online Durumu

617 ileti
Insaat Muhendisi
Istanbul

Secilen referans nesnelerin (line, circle, arc vs.) isimlerine gore genel secimde bu isimdeki nesneleri secer. Ornegin referans nesnelerin circle ve line ise genel secimde sadece circle ve line leri secer.
Hangi nesnenin hangi ozelliklerine gore secim yaptiracaksan kod ona gore yazilmali. Ornegin circle nin radius, line nin length, polyline nin color vs. Once bunlari belirlemelisin Raskoln.

18.06.2017 20:26
85110      
muratsemih

[2] Girişimci

Online Durumu

5 ileti
Elektrik Mühendisi
Sakarya

Merhaba Kolay gelsin herkese,
visual lisp editor kısmına yazdığımız bir önceki değişkenleri ve değerlerini unutması için temizleme kodunu bilen var mı?

19.06.2017 09:25
85111      
Travaci

[70] Editör

Online Durumu

1999 ileti
Teknik Ressam
Konstantinopol

muratsemih


Kod:

(defun c:komut (/ Buraya yazdığın değişkenler silinir) ...)

19.06.2017 14:14
85112      
mikemoon

[10] Üstad

Online Durumu

366 ileti
makina ressamı
istanbul

Alıntı
alumina :
Secilen referans nesnelerin (line, circle, arc vs.) isimlerine gore genel secimde bu isimdeki nesneleri secer. Ornegin referans nesnelerin circle ve line ise genel secimde sadece circle ve line leri secer.
Hangi nesnenin hangi ozelliklerine gore secim yaptiracaksan kod ona gore yazilmali. Ornegin circle nin radius, line nin length, polyline nin color vs. Once bunlari belirlemelisin Raskoln.



Selam alumina

Circle radus göre
Line length göre
Arc radus göre
Polyline length gore veya color a göre
Spline length göre
Text özelliğe gerek yok hepsini seçebilir
Dimension color a göre
Rica etsem bu şekilde yapabilirmisiniz

19.06.2017 16:48
85113      
Travaci

[70] Editör

Online Durumu

1999 ileti
Teknik Ressam
Konstantinopol

mikemoon,alumina


Dünayıyımı kurtarıcaksınız.
Mayki lisp falan bozulmadı yanlış kodu kullanıyorsun.
Select smilar ile istediklerinin %80 ini yapabilirsin.

19.06.2017 18:50
85115      
mikemoon

[10] Üstad

Online Durumu

366 ileti
makina ressamı
istanbul

travaci select similar ile olmuyor uzunluk faktörü girince similar yapamıyor
qselect ile yapılabiliyor fakat inanın ki elimde 80-90 sayfa dwg dosyası var tek tek
açıp işlem yapıyorum select similar ile 5veya6 işlem yapmak gerekiyor.
bu tarz bir lisp olursa seçmek istediğim çizgiyi seçip sonra tüm çizimi seçince
işim hallolmuş oluyor.daha kolay bu şekilde

22.06.2017 13:19
85133      
jüseppe

[2] Girişimci

Online Durumu

5 ileti
öğrenci
sivas

MERHABA BENİM BİR LİSP İSTEĞİM OLACAK ÇOK ARAŞTIRDIM AMA BULMADIM ŞAHİN HOCAMIZIN YAZDIĞI BİR ÇOK LİSPİ ZATEN KULLANIYORUM VE BURADAN SİTEDEKİ BÜTÜN LİSP YAZAN ARKADAŞLARA ÇOK TEŞEKKÜR EDİYORUM.

MEKANİK TESİSATTAKİ HAVALANDIRMA KANALARININ ORTALAMA YANİ YAKALAŞIK M2 HESABINI YAPABİLMEM İÇİN MALUM HAVALANDIRMA KANALLARI PROJEDE DİKDÖRTGEN ŞEKLİNDE BU DİKDÖRTGENLERİN VE MÜMKÜNSE HALKA ŞEKLİNE BENZEYEN DİRSEKLERİN POLYLİNE YAPIP M2 HESABINI YAPABİLECEĞİMİZ BİR LİSP OLABİLİRMİ VE BUNU YAPARKEN ÇİZİMİ TEK SEFERDE SEÇEBİLİRMİ?

UMARIM DERDİMİ ANLATABİLMİŞİMDİR. BUNU KESİN BİR HESAP İÇİN DEĞİL SADECE YAKLAŞIK BİR TAHMİN DE BULANABİLMEK İÇİN İSTİYORUM.

18.07.2017 18:31
85300      
sayaft

[2] Girişimci

Online Durumu

1 ileti
Mühendis
istanbul

Merhaba arkadaşlar. Aradım fakat bulamadım. Autocadteki noktaların koordinat ve kotlarını excel e aktarabileceğim bir lisp var mı ?

18.07.2017 18:47
85301      
Travaci

[70] Editör

Online Durumu

1999 ileti
Teknik Ressam
Konstantinopol

sayaft


Aramamışsınız, aramayada gerek yok, ana sayfada var.


Linkleri görebilmek için ÜYE olmalısınız.

11.08.2017 10:48
85372      
asencer

[3] Kıdemli Girişimci

Online Durumu

25 ileti
makina
istanbul

herkese merhaba,

resimde göreceğiniz üzere, iki profili kesmek istiyorum.. (yeşil ve sarı profiller)
bazen açıyı değiştirmem gerekiyor.

aks çizgisini strechleyerek, profillerin açılarını birbirlerine göre ayarlamam mümkün mü?

44284-soru.bmp

11.08.2017 11:11
85373      
ehya

[90] Yönetici

Online Durumu

3079 ileti
Teknik Ressam
Ankara

asencer




mevcutta böyle birşey yapamazsınız.
Ancak sürekli benzer bir durum söz konusu ise, bu çizime parametrik özellik vererek düzenleme yapabilir istediğiniz gibi değiştirme yapabilirsin.z

11.08.2017 11:20
85374      
asencer

[3] Kıdemli Girişimci

Online Durumu

25 ileti
makina
istanbul

teşekkürler.

17.08.2017 17:16
85406      
utkub1084

[2] Girişimci

Online Durumu

4 ileti
mühendis
istanbul

Herkese merhaba,

Ekteki LISP bir nesne (line, circle, arc, polyline, spline, vb.) üzerinde seçilen iki nokta arasındaki mesafeyi hesaplıyor ve seçilen ikinci noktanın üzerine yazıyor.

Komut çalıştığında bu işlemi sadece bir kere gerçekleştiriyor. Her seferinde başlangıç noktasını tekrar seçip devamında bitiş noktasını seçmek gerekiyor. Buda aynı nesne üzerinde birden fazla noktaya bu işlemi uygularken oldukça fazla zaman kaybına neden oluyor.

Başlangıç noktasını bir kez seçip devamında her seçtiğimiz noktaya başlangıç noktasına göre mesafesini yazmasını sağlayabilir miyiz?

Yardımlarınız için şimdiden teşekkür ederim.

222704-distancebetweenpoints2.rar

Önceki Sayfa [1] [2] [3] [4] [5] [6] [7] [8] [9] [10] [15] [20] [25] [30] [35] [40] [45] [50] [55] [60] [65] [70] [75] [80] > 83 <
Copyright © 2004-2017 | Tüm Hakları Saklıdır | 381 | Site haritası | İstatistikler | Hakkımızda | Kadromuz | Gizlilik | Reklam